Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \ --url https://api.turnkey.com/public/v1/query/get_session_profile \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --header "X-Stamp: <string> (see Authorizations)" \ --data '{ "organizationId": "<string>", "sessionProfileId": "<string>" }'
import { Turnkey } from "@turnkey/sdk-server"; const turnkeyClient = new Turnkey({ apiBaseUrl: "https://api.turnkey.com", apiPublicKey: process.env.API_PUBLIC_KEY!, apiPrivateKey: process.env.API_PRIVATE_KEY!, defaultOrganizationId: process.env.ORGANIZATION_ID!, }); const response = await turnkeyClient.apiClient().getSessionProfile({ organizationId: "<string> (Unique identifier for a given Organization.)", sessionProfileId: "<string> (Unique identifier for a session profile.)" });
{ "sessionProfile": { "sessionProfileId": "<string>", "sessionProfileName": "<string>", "scope": "<string>", "expirationSeconds": "<string>", "notes": "<string>", "createdAt": { "seconds": "<string>", "nanos": "<string>" }, "updatedAt": { "seconds": "<string>", "nanos": "<string>" } } }
Get a single session profile for an organization.
Show sessionProfile details
Was this page helpful?